Skip to content

System Commands

Initiates a delayed device reboot.

POST /api/cmd/reboot/

Request Parameters:

FieldTypeDescription
rebootSecintegerDelay before reboot, from 0 to 180 seconds.

Example Request:

{
"rebootSec": 3
}

Sets the device time immediately.

POST /api/cmd/time/set/

Request Parameters:

FieldTypeDescription
timestringTime in ISO 8601 format relative to UTC0.

Example Request:

{
"time": "2025-05-15T16:50:27"
}

Immediately synchronizes device time with NTP servers specified in settings.

POST /api/cmd/time/sync/

Example Request:

{}

Clears the in-memory task list and rereads task files from the memory card.

Check memTaskfiles state for compilation or runtime errors.

POST /api/cmd/tasks/reread/

Example Request:

{}